:root {
    --mit-primary-color: #6b1e6b;
    --mit-secondary-color: #ad8ba0;
    --mit-text-color: #333;
}

.mit_map {
    width: 100%;
    position: relative;
    z-index: 1;
}

.mit_map_marker {
    position: absolute;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background: var(--mit-primary-color);
    border: 1px solid var(--mit-primary-color);
    top: 0px;
    left: 0px;
    transition: all 0.5s;
    z-index: 2;
    cursor: pointer;
}

.mit_map_marker:hover, .mit_map_marker.hovered, .mit_map_marker.active {
    background: var(--mit-secondary-color);
    border: 1px solid var(--mit-primary-color);
    box-shadow: 0px 0px 5px #333;
    transform: scale(1.2);
}

/* Place markers */
.mit_map_marker#innsbruck {
    top: 68%;
    left: 23%;
}

.mit_map_marker#rankweil {
    top: 67.5%;
    left: 4%;
}

.mit_map_marker#judenburg {
    top: 66.8%;
    left: 64.5%;
    
}

.mit_map_marker#baernbach {
    top: 67%;
    left: 70%;
}

.mit_map_marker#graz {
    top: 69.5%;
    left: 75%;
    z-index: 3;
}

.mit_map_marker#weiz {
    top: 63%;
    left: 78%;
}

.mit_map_marker#gralla {
    top: 77%;
    left: 76%;
}

.mit_map_marker#brunn {
    top: 34%;
    left: 84%;
}


.mit_map_marker_title {
    position: absolute;
    background: var(--mit-primary-color);
    color: white;
    padding: 2px;
    border-radius: 5px;
    font-size: 12px;
    line-height: 12px;
    z-index: 10;
    top: 20px;
    width: 80px;
    text-align: center;
    left: -30px;
    opacity: 0;
    transition: all 0.5s;
}

.mit_map_marker:hover .mit_map_marker_title, 
.mit_map_marker.hovered .mit_map_marker_title, 
.mit_map_marker.active  .mit_map_marker_title 
{
    opacity: 1;
}

.mit_locations_infos a {
    color: rgb(99,99,99);
}

.mit_locations_infos p, .mit_locations_infos h4 {
    margin: 0;
    padding: 0;
}

.mit_locations_infos h4 {
    color: var(--mit-primary-color);
    font-weight: 700;
    font-size: 16px;
    cursor: pointer;
    transition: all 0.5s;
}  

.mit_locations_infos a {
    transition: all 0.5s;
} 

.mit_location_info {
    border-bottom: 1px solid var(--mit-secondary-color);
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    text-align: left;
    padding: 10px 15px;
    transition: all 0.5s;
    column-gap: 15px;
}

.mit_location_info h4 {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.mit_location_info i {
    color: var(--mit-primary-color);
}

.mit_location_info:hover, .mit_location_info.active {
    background-color: var(--mit-secondary-color);
    color: #fff;
}

.mit_location_info:hover h4, .mit_location_info:hover a, .mit_location_info.active h4, .mit_location_info.active a {
    color: #fff;
}

.mit_location_info_details {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    column-gap: 15px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease-out;
    background: #efefef;
    padding: 0px 15px 0px 15px;
}

.mit_location_info_details.show {
    display: grid;
    max-height: 1000px;
    transition: max-height 0.5s ease-in;
    padding: 10px 15px 20px 15px;
}

.mit_location_info_details i {
    color: var(--mit-primary-color);
}

.mit_location_info_details h4 {
    font-size: 2rem;
    margin-bottom: 10px;
    margin-top: 20px;
}

.mit_location_link {
    text-decoration: underline !important;
    color: var(--mit-primary-color) !important;
}

.mit_locations_show_all {
    display: none;
}

@media(max-width: 1023px) {
    .mit_location_info_details {
        grid-template-columns: 1fr 1fr;
    }
}

@media(max-width: 650px) {
    .mit_location_info {
        grid-template-columns: 1fr;
    }

    .mit_map_marker {
        width: 9px;
        height: 9px;
    }

    .mit_map_marker_title {
        font-size: 10px;
        line-height: 10px;
        top: 10px;
        width: 60px;
        left: -20px;
    }

    .mit_location_info_details {
        grid-template-columns: 1fr;
        column-gap: 10px;
        row-gap: 10px;
        padding: 0px 15px 0px 15px;
    }

    .mit_location_info_details.show {
        padding: 10px 15px 20px 15px;
    }
}